Skip to content
Developer Docs

Operation list

GET
/flow/v1/operations

Lists individual operations within flows. Used for operational reconciliation, backoffice work and collection tracking.

Paginated. Supports filtering by operation UUID, externalId, parent flow UUID, status, type, invoice external ID, amount range and date ranges. Results can be sorted by createdAt, statusUpdatedAt, status, flowUuid, operationUuid, externalId, paymentAmount or invoiceExternalId.

Autorizaciones

OAuth2

OAuth2 security scheme

clientCredentials Flow
Token URL"/api/v2/auth/token"
Scopes:
  • "zertiban-api"Access to the API

Parámetros

Header Parameters

x-tenant-id*

Tenant identifier that contains the business UUID

Tipo
string
Requerido

Query Parameters

limit

Page size

Tipo
integer
Mínimo
0
Máximo
100
Por defecto
10
offset

Zero-based offset

Tipo
integer
Mínimo
0
Por defecto
0
sort_by

Indicates the property to sort the result list (case insensitive)

Tipo
string
Valores válidos
"operationUuid""externalId""status""flowUuid""createdAt""statusUpdatedAt""paymentAmount""invoiceExternalId"
Por defecto
"createdAt"
sort_dir

Indicates the sort direction (case insensitive)

Tipo
string
Valores válidos
"ASC""DESC"
Por defecto
"DESC"
q_operationUuid

Filters operations by UUID (exact match)

Tipo
string
Ejemplo"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Formato
"uuid"
q_externalId

Filters operations by external ID (exact match)

Tipo
string
Ejemplo"EXT-2025-0001"
q_flowUuid

Filters operations by flow UUID (exact match)

Tipo
string
Ejemplo"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Formato
"uuid"
q_status

Filters operations by status (case insensitive). Supports 0, 1 or N values separated by comma.

Tipo
array
Ejemplo"OPENED""CREATED"
q_type

Filters operations by type (case insensitive). Supports 0, 1 or N values separated by comma.

Tipo
array
Ejemplo"PAYMENT""SIGNATURE"
q_fromCreatedAt

Finds operations with 'createdAt' after or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_toCreatedAt

Finds operations with 'createdAt' before or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_fromStatusUpdatedAt

Finds operations with 'statusUpdatedAt' after or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_toStatusUpdatedAt

Finds operations with 'statusUpdatedAt' before or equal the specified date time

Tipo
string
Ejemplo"2025-03-10T14:23:45Z"
Formato
"ISO 8601"
q_amountFrom

Filters PAYMENT operations with amount greater or equal than this value

Tipo
number
Ejemplo1000
q_amountTo

Filters PAYMENT operations with amount lower or equal than this value

Tipo
number
Ejemplo5000
q_invoiceExternalId

Filters PAYMENT operations by invoice external ID (exact match)

Tipo
string
Ejemplo"INV-2025-0012"

Respuestas

Operation list

application/json
JSON
{
  
"total": 2,
  
"results": [
  
  
{
  
  
  
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  
  
  
"externalId": "EXT-2025-0001",
  
  
  
"flowUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  
  
  
"type": "PAYMENT",
  
  
  
"status": "OPENED",
  
  
  
"createdAt": "2025-09-15T09:00:00Z",
  
  
  
"statusUpdatedAt": "2025-09-15T09:55:00Z",
  
  
  
"payment": {
  
  
  
  
"amount": 2500,
  
  
  
  
"currency": "EUR"
  
  
  
},
  
  
  
"invoice": {
  
  
  
  
"externalId": "INV-2025-0001",
  
  
  
  
"dueDate": "2025-10-15T00:00:00Z"
  
  
  
}
  
  
},
  
  
{
  
  
  
"uuid": "a2b3c4d5-e6f7-8901-2345-67890abcdef0",
  
  
  
"externalId": null,
  
  
  
"flowUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  
  
  
"type": "SIGNATURE",
  
  
  
"status": "CREATED",
  
  
  
"createdAt": "2025-09-16T08:22:00Z",
  
  
  
"statusUpdatedAt": null,
  
  
  
"payment": null,
  
  
  
"invoice": null
  
  
}
  
]
}

Playground

Autorización
Headers
Variables
Key
Value

Ejemplos